#!perl -T

use strict;
use warnings;
use utf8;

use Test::More tests => 9;

use Music::Lyrics::LRC;

our $VERSION => '0.03';

my $lrc = Music::Lyrics::LRC->new();
ok( defined $lrc, 'constructed' );

my $pkg = 'Music::Lyrics::LRC';
isa_ok( $lrc, $pkg );

can_ok(
    $lrc,
    qw(lyrics tags add_lyric set_tag unset_tag load save ts_to_msec msec_to_ts),
);

ok( $lrc->add_lyric( 0,  'lalala' ), 'add_lyric_0' );
ok( $lrc->add_lyric( 10, 'doremi' ), 'add_lyric_10' );

ok( my $lyrics = $lrc->lyrics, 'get_lyrics' );
ok( @{$lyrics} == 2, 'lyrics_count' );

ok( $lrc->set_tag( 'foo', 'bar' ), 'set_tag' );
ok( $lrc->unset_tag('foo'), 'unset_tag' );
